Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.expression
Enum IMetadataQuery.SystemProperty

    java.lang.Object
      java.lang.Enum<IMetadataQuery.SystemProperty>
          com.bea.content.expression.IMetadataQuery.SystemProperty

All Implemented Interfaces
  Serializable, Comparable<IMetadataQuery.SystemProperty>

Enclosing interface:
  IMetadataQuery

    public static enum IMetadataQuery.SystemProperty

extends Enum<IMetadataQuery.SystemProperty>

These are system properties available for full text searching

Enum Constant Summary
`cm_applicationName` The name of the web application status - for queries by portal administrators
`cm_binaryName` The name of an associated binary (if one exists)
`cm_binarySize` The size of an associated binary (if one exists) - referred to by cm_binaryName
`cm_createdBy` The username of the creator of the node
`cm_createdDate` The date the node was created
`cm_mimeType` The mime type of an associated binary, if it exists
`cm_modifiedBy` The username of the modifier of the node
`cm_modifiedDate` The date the node was updated/modfied
`cm_nodeId` The ID of the node
`cm_nodeName` The name of the node
`cm_objectClass` The name of the objectClass of the node
`cm_objectClassInstance` The instance of an objectClass - for queries by portal administrators
`cm_path` The path of the node (maps to "cm_path" in the federated Search API)
`cm_typePath` The path of the node's type

Method Summary
`static IMetadataQuery.SystemProperty` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IMetadataQuery.SystemProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### cm_path

    public static final IMetadataQuery.SystemProperty cm_path

  The path of the node (maps to "cm_path" in the federated Search API)

### cm_objectClass

    public static final IMetadataQuery.SystemProperty cm_objectClass

  The name of the objectClass of the node

### cm_typePath

    public static final IMetadataQuery.SystemProperty cm_typePath

  The path of the node's type

### cm_nodeName

    public static final IMetadataQuery.SystemProperty cm_nodeName

  The name of the node

### cm_nodeId

    public static final IMetadataQuery.SystemProperty cm_nodeId

  The ID of the node

### cm_binaryName

    public static final IMetadataQuery.SystemProperty cm_binaryName

  The name of an associated binary (if one exists)

### cm_binarySize

    public static final IMetadataQuery.SystemProperty cm_binarySize

  The size of an associated binary (if one exists) - referred to by cm_binaryName

### cm_mimeType

    public static final IMetadataQuery.SystemProperty cm_mimeType

  The mime type of an associated binary, if it exists

### cm_createdBy

    public static final IMetadataQuery.SystemProperty cm_createdBy

  The username of the creator of the node

### cm_createdDate

    public static final IMetadataQuery.SystemProperty cm_createdDate

  The date the node was created

### cm_modifiedBy

    public static final IMetadataQuery.SystemProperty cm_modifiedBy

  The username of the modifier of the node

### cm_modifiedDate

    public static final IMetadataQuery.SystemProperty cm_modifiedDate

  The date the node was updated/modfied

### cm_applicationName

    public static final IMetadataQuery.SystemProperty cm_applicationName

  The name of the web application status - for queries by portal administrators

### cm_objectClassInstance

    public static final IMetadataQuery.SystemProperty cm_objectClassInstance

  The instance of an objectClass - for queries by portal administrators

Method Detail

### values

    public static final IMetadataQuery.SystemProperty[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static IMetadataQuery.SystemProperty valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved